org.jboss.netty.handler.codec.http.multipart

## Interface Attribute

- All Superinterfaces:
    Comparable<InterfaceHttpData>, HttpData, InterfaceHttpData
  All Known Implementing Classes:
    DiskAttribute, MemoryAttribute, MixedAttribute

      public interface Attribute
      extends HttpData

  Attribute interface

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.jboss.netty.handler.codec.http.multipart.InterfaceHttpData

      `InterfaceHttpData.HttpDataType`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getValue()` Returns the value of this HttpData.
    `void` | `setValue(String value)` Sets the value of this HttpData.

    - ### Methods inherited from interface org.jboss.netty.handler.codec.http.multipart.HttpData

      `addContent, delete, get, getChannelBuffer, getCharset, getChunk, getFile, getString, getString, isCompleted, isInMemory, length, renameTo, setCharset, setContent, setContent, setContent`

    - ### Methods inherited from interface org.jboss.netty.handler.codec.http.multipart.InterfaceHttpData

      `getHttpDataType, getName`

    - ### Methods inherited from interface java.lang.Comparable

      `compareTo`

- - ### Method Detail

    - #### getValue

          String getValue()
                          throws IOException

      Returns the value of this HttpData.
      Throws:
        `IOException`

    - #### setValue

          void setValue(String value)
                        throws IOException

      Sets the value of this HttpData.
      Parameters:
        `value` -
      Throws:
        `IOException`

Copyright © 2008-2012 The Netty Project. All Rights Reserved.